Subject: Sporadic make core dump
From: [email-masked] (Rich Megginson)
To: [email-masked]
Date: Fri, 28 Sep 2001 09:12:36 -0600

I have the sporadic make core dump problem.  The environment is a very heavily recursive makefile setup.  I can't post exact steps
to repro, but perhaps you can repro easily with an attempt to build mozilla.  I notice that if I start make in a CMD window
running bash, leave the window on top, and don't start any other applications during the make run (including screen savers, virus
software, etc.), it runs fine.  However, if I open another application during the make run, or even open a window which was
minimized, it will sometimes crash with the following error message.  I wonder if there is some window change signal being passed
to the application?  I remember in my old SunView days, there was a SIGWINCH which was delivered when windows were raised,
lowered, etc.  It seems similar, but the signal reported is Signal 11 (Seg. fault).

      0 [main] make 202 open_stackdumpfile: Dumping stack trace to make.exe.stackdump
Signal 11

Here is the stackdump file:
Exception: STATUS_ACCESS_VIOLATION at eip=0040D5EF
eax=00000004 ebx=614E0AF4 ecx=61098838 edx=0242EDC8 esi=FFFFFFFF edi=00000000
ebp=0242EE04 esp=0242EDD4 program=D:\cygwin\bin\make.exe
cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0242EE04  0040D5EF  (00000005, 0A01ACA0, 000000C8, 00408BAE)
0242EE24  61082652  (00000005, 0A01ACA0, 000000C8, 00408BDE)
0242EE94  00408BFB  (0A01A208, 0242EEDC, 00408D8E, 004045F2)
0242EEC4  00408F25  (0A01A208, 00000001, 0242EEDC, 004260B4)
0242EF24  00409149  (0242EF8C, 0242EF90, 00000000, 00403F3D)
0242EFA4  00403FFA  (00000000, 0242F03C, FFFFFFFF, 004045AA)
0242EFC4  004045AA  (0242F03C, 0A01A0F0, 0242F004, 00404636)
0242EFF4  00404636  (0242F03C, 00000000, 0242F034, 004048A2)
0242F024  004048A2  (0242F03C, 00000000, 00000011, 00404611)
0242F074  00404611  (0A0161B1, 0A0161C2, 0A0161AF, 0A0161C2)
0242F0E4  00409112  (0242F14C, 0242F150, 00000000, 00403F3D)
0242F164  00403FFA  (00000000, 0A0161A5, FFFFFFFF, 00404636)
0242F184  004045AA  (0A0161A5, 0000000B, 0242F1D4, 0041DAA8)
0242F1B4  00404636  (0A0161A5, 00000000, 0242F1E4, 6102B7DD)
0242F1E4  004048A2  (0A0161A5, 00000000, 00000009, 0041EA1C)
0242F244  0041EB0F  (0242F31C, 0A016190, 00000002, 00000000)
End of stack trace (more stack frames may be present)

And here is my make version and cygwin uname -a

GNU Make version 3.79.1, by Richard Stallman and Roland McGrath.
Built for i686-pc-cygwin
Copyright (C) 1988, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 2000
        Free Software Foundation, Inc.
This is free software; see the source for copying conditions.
There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.

Report bugs to <[email-masked]>.
Administrator@ELF1 /cygdrive/d
$ uname -a
CYGWIN_NT-4.0 ELF1 1.3.3(0.46/3/2) 2001-09-12 23:54 i686 unknown

This is a very recent cygwin installation.